package com.tuoheng.admin.service.airData;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tuoheng.admin.entity.domain.AirData;
import com.tuoheng.admin.enums.AirDataEnum;
import com.tuoheng.admin.enums.MarkEnum;
import com.tuoheng.admin.mapper.AirDataMapper;
import com.tuoheng.admin.service.airData.query.QueryAirDataListService;
import com.tuoheng.common.core.common.BaseServiceImpl;
import com.tuoheng.common.core.enums.ServiceExceptionEnum;
import com.tuoheng.common.core.exception.ServiceException;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.sql.rowset.serial.SerialException;
import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/5/23
 */
@Service
@Slf4j
public class AirDataServiceImpl extends BaseServiceImpl<AirDataMapper, AirData> implements IAirDataService {

    @Autowired
    private QueryAirDataListService queryAirDataListService;


    /**
     * 根据任务id获取大气数据列表
     * @param id
     * @return
     */
    @Override
    public List<AirData> getAirDataList(String id) {
        return queryAirDataListService.list(id);
    }

    /**
     * 生成excel表格并下载
     * @param id
     */
    @Override
    public JsonResult generateTable(String id) {
        return queryAirDataListService.generateTable(id);
    }


}
